HtmlDependencyReportTask (Gradle API 9.5.0)
Description: declaration: package: org.gradle.api.reporting.dependencies, class: HtmlDependencyReportTask

Package org.gradle.api.reporting.dependencies

# Class HtmlDependencyReportTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.diagnostics.ConventionReportTask
org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask<AbstractDependencyReportTask.DependencyReportModel>
org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask
org.gradle.api.reporting.dependencies.HtmlDependencyReportTask

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Reporting<DependencyReportContainer>`, `Task`, `Configurable<Task>`

@UntrackedTask(because="We can\'t describe the dependency tree of all projects as input") public abstract class HtmlDependencyReportTask extends AbstractDependencyReportTask implements Reporting<DependencyReportContainer>
Generates an HTML dependency report. This report combines the features of the ASCII dependency report and those of the ASCII dependency insight report. For a given project, it generates a tree of the dependencies of every configuration, and each dependency can be clicked to show the insight of this dependency.

This task generates a report for the task's containing project by default. But it can also generate a report for multiple projects, by setting the value of the `projects` property. Here's how to generate an HTML dependency report for all the projects of a multi-project build, for example:

     htmlDependencyReport {
         projects = project.allprojects
     }

The report is generated in the `build/reports/project/dependencies` directory by default. This can also be changed by setting the `reports.html.destination` property:

     htmlDependencyReport {
         reports.html.outputLocation = file("build/reports/project/dependencies")
     }

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

  `AbstractDependencyReportTask.DependencyReportModel`

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HtmlDependencyReportTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `generate()`
  `protected abstract org.gradle.api.internal.CollectionCallbackActionDecorator`
  `getCallbackActionDecorator()`
  Required for decorating reports container callbacks for tracing user code application.
  `protected abstract ObjectFactory`
  `getObjectFactory()`
  `DependencyReportContainer`
  `getReports()`
  A `ReportContainer` instance.
  `protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator`
  `getVersionComparator()`
  `protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionParser`
  `getVersionParser()`
  `protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme`
  `getVersionSelectorScheme()`
  `DependencyReportContainer`
  `reports(Closure closure)`
  Allow configuration of the report container by closure.
  `DependencyReportContainer`
  `reports(Action<? super DependencyReportContainer> configureAction)`
  Allow configuration of the report container by closure.

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractDependencyReportTask

  `calculateReportModelFor, generateReportFor, getConfigurations, getRenderer, getTaskConfigurations, setConfiguration, setConfigurations, setRenderer`

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractProjectBasedReportTask

  `generateReportFooterFor, generateReportHeaderFor`

  ### Methods inherited from class org.gradle.api.tasks.diagnostics.ConventionReportTask

  `getClientMetaData, getOutputFile, getProjectReportDirectory, getProjects, getTextOutputFactory, setOutputFile, setProjects`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### HtmlDependencyReportTask

    public HtmlDependencyReportTask()

- ## Method Details

  - ### getReports

    public DependencyReportContainer getReports()
    Description copied from interface: `Reporting`
    A `ReportContainer` instance.

    Implementers specify a specific implementation of `ReportContainer` that describes the types of reports that are available.

    Specified by:
      `getReports` in interface `Reporting<DependencyReportContainer>`
    Returns:
      The report container

  - ### reports

    public DependencyReportContainer reports(Closure closure)
    Description copied from interface: `Reporting`
    Allow configuration of the report container by closure.

         reports {
           html {
             required false
           }
           xml.outputLocation = "build/reports/myReport.xml"
         }

    Specified by:
      `reports` in interface `Reporting<DependencyReportContainer>`
    Parameters:
      `closure` - The configuration
    Returns:
      The report container

  - ### reports

    public DependencyReportContainer reports(Action<? super DependencyReportContainer> configureAction)
    Description copied from interface: `Reporting`
    Allow configuration of the report container by closure.

         reports {
           html {
             required false
           }
           xml.outputLocation = "build/reports/myReport.xml"
         }

    Specified by:
      `reports` in interface `Reporting<DependencyReportContainer>`
    Parameters:
      `configureAction` - The configuration
    Returns:
      The report container

  - ### getObjectFactory

    @Inject protected abstract ObjectFactory getObjectFactory()

  - ### getVersionSelectorScheme

    @Inject protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionSelectorScheme getVersionSelectorScheme()

  - ### getVersionComparator

    @Inject protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionComparator getVersionComparator()

  - ### getVersionParser

    @Inject protected abstract org.gradle.api.internal.artifacts.ivyservice.ivyresolve.strategy.VersionParser getVersionParser()

  - ### getCallbackActionDecorator

    @Inject protected abstract org.gradle.api.internal.CollectionCallbackActionDecorator getCallbackActionDecorator()
    Required for decorating reports container callbacks for tracing user code application.
    Since:
      5.1

  - ### generate

    public void generate()